
From: Michael Hunold <hunold@convergence.de>

In two of my i2c helper drivers the return value of i2c_add_driver() is
ignored.  Thanks to Arthur Othieno for finding these bugs.

Signed-off-by: Arthur Othieno <a.othieno@bluewin.ch>
Signed-off-by: Michael Hunold <hunold@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/tea6415c.c |    7 +++----
 25-akpm/drivers/media/video/tea6420.c  |    7 +++----
 2 files changed, 6 insertions(+), 8 deletions(-)

diff -puN drivers/media/video/tea6415c.c~fix-return-codes-after-i2c_add_driver-in-tea6415c drivers/media/video/tea6415c.c
--- 25/drivers/media/video/tea6415c.c~fix-return-codes-after-i2c_add_driver-in-tea6415c	Mon Jul 12 13:32:00 2004
+++ 25-akpm/drivers/media/video/tea6415c.c	Mon Jul 12 13:32:00 2004
@@ -217,13 +217,12 @@ static struct i2c_driver driver = {
         .command	= tea6415c_command,
 };
 
-static int tea6415c_init_module(void)
+static int __init tea6415c_init_module(void)
 {
-	i2c_add_driver(&driver);
-	return 0;
+	return i2c_add_driver(&driver);
 }
 
-static void tea6415c_cleanup_module(void)
+static void __exit tea6415c_cleanup_module(void)
 {
         i2c_del_driver(&driver);
 }
diff -puN drivers/media/video/tea6420.c~fix-return-codes-after-i2c_add_driver-in-tea6415c drivers/media/video/tea6420.c
--- 25/drivers/media/video/tea6420.c~fix-return-codes-after-i2c_add_driver-in-tea6415c	Mon Jul 12 13:32:00 2004
+++ 25-akpm/drivers/media/video/tea6420.c	Mon Jul 12 13:32:00 2004
@@ -197,13 +197,12 @@ static struct i2c_driver driver = {
         .command	= tea6420_command,
 };
 
-static int tea6420_init_module(void)
+static int __init tea6420_init_module(void)
 {
-	i2c_add_driver(&driver);
-	return 0;
+	return i2c_add_driver(&driver);
 }
 
-static void tea6420_cleanup_module(void)
+static void __exit tea6420_cleanup_module(void)
 {
         i2c_del_driver(&driver);
 }
_
